import { PropType } from "vue";
import type { tiposTabelaCelulas } from "./tiposTabelaCelulas";
declare const __VLS_export: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    dados: {
        type: PropType<tiposTabelaCelulas["textoTruncado"]>;
    };
}>, {
    dados: {
        texto: string;
        acao?: () => void;
    } | undefined;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    dados: {
        type: PropType<tiposTabelaCelulas["textoTruncado"]>;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
